Subject: Re: bug#66281: 30.0.50; Emacs won't start on X11 with 10 bit color depth

From: Po Lu <[email-masked]>
Date: Tue, 03 Oct 2023 08:48:41 +0800

Alexander Prähauser <[email-masked]> writes:

> I didn't change any compiler flags. Someone says here:
>
> https://emacs.stackexchange.com/a/4241
>
> that it worked when they started emacsclient from emacs/lib-src
> but not when they started it from its location through
> make install. So I tried starting emacs from emacs/src. I thought
> debugging symbols were now on because the gdb output
> looked colorful, but the log doesn't so I'm not sure.
>
> Starting program: /home/alex/tmp/emacs/src/emacs emacs -q -xrm "Emacs.synchronous: true"

This crash arises within GDK.  Does a build without any X toolkit
(--with-x-toolkit=no) experience the same crash?